Skip to main content
GET
/
organization
/
{organizationId}
/
account
/
gitlab
/
repository
/
branch
Get gitlab branches of the specified repository
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/account/gitlab/repository/branch \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "name": "main"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Query Parameters

name
string

The name of the repository to retrieve the branches

gitTokenId
string<uuid>

The git token id that must be used for the application

Response

Get gitlab repository branches

results
object[]